/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* FUENTE */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Space+Grotesk:wght@300..700&display=swap');

/* VARIABLES POR DEFECTO */

:root {
  --c-negro: #000;
  --c-gris-oscuro: #2c2c2c;
  --c-gris: #e0e0e0;
  --c-grisclaro: #f4f4f4;
  --c-blanco: #FFFFFF;

  --c-primario: #011892;
  --c-secundario: #3e146d;
  --c-acento: #e91e63;

  --c-texto: #000732;

  --c-pasel-1: #ccddff;
  --c-pastel-2: #ead7ff;

  --c-resaltado-1: #0bbdb8;
  --c-resaltado-2: #0432ff;
  

  --c-iconos-1: #ffc000;
  --c-iconos-2: #ff8400;

  --f-main: 'Space Grotesk', sans-serif;
}


/* OUTLINE */

*:focus { outline: 0px solid orange; }

::selection {
  background-color: #0bbdb796;
}

/* ESTILOS COMUNES */
.zindex0 {
  z-index:0;
}

.zindex1 {
  z-index:1;
}

body {
  font-family: var(--f-main) !important;
  color: var(--c-texto);
  font-size: 16px !important;
  line-height: 1.6875rem ;
  overflow-x: hidden;
}

h1, h2, h3 {
  font-family: var(--f-main) !important;
  text-transform: uppercase;
}

h1 {
  font-weight: 300 !important;
  font-size: clamp(1.7rem, 3.2vw, 2.9rem);
}

h2 {
  font-weight: 300 !important;
  font-size: clamp(1.6rem, 3vw, 2.3rem);
}

h3 {
  font-weight: 700;
    font-size: clamp(1.1rem, 1.6vw, 1.5rem) !important;
}

.subtitle p {
  font-size: clamp(20px, 0.2381vw + 17.1429px, 28px) !important;
  font-weight: 500;
  text-transform: uppercase;
}

b.resaltado {
  color: var(--c-resaltado-1);
  font-weight: 700 !important;
}

a {
  color: var(--c-primario);
  text-decoration: none;
}

a, a:hover {
  transition: all 0.4s ease !important;
}

.text-light p {
  color: var(--c-blanco);
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
  color: var(--c-primario);
  font-weight: 700;
}

b {
  font-weight: 700 !important;
}

@media screen and (min-width: 1024px) and (max-width: 1366px) {
  h1 {
    font-size: 35px !important;
  } 

  h2 {
    font-size: 30px !important;
  } 
  
  .subtitle .elementor-heading-title {
    font-size: 18px!important;
  }
}

/* PROYECTOS */

.team-leader-images {
  display: flex;
  padding-top: 10px;

  .team-leader-image {
    max-width: 11%;

    img {
      border-radius: 50%;
    }
  }

  .team-leader-image:not(:first-child) {
    margin-left: -10px;
  }
}

a.elementor-element.elementor-element-4620f59.e-flex.e-con-boxed.e-con.e-parent.e-lazyloaded {
  height: 100%;
}

/* BARRA DE SCROLL */

::-webkit-scrollbar {
  cursor: pointer;
  width: 10px; 
}

::-webkit-scrollbar-track {
  background: var(--c-gris); 
  cursor: pointer;
}

::-webkit-scrollbar-thumb {
  background: var(--c-resaltado-1); 
  transition: all 0.5s ease-in;
  cursor: pointer;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--c-texto); 
  transition: all 0.5s ease-in;
}

/* Estado normal del header */
.scroll-header {
  position: fixed !important;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  transform: translateY(0); /* punto de partida claro */
  transition: transform 0.35s ease-in-out !important;
}

/* Estado oculto al hacer scroll hacia abajo */
.scroll-header.header-hidden {
  transform: translateY(-100%) !important;
}

/* Timeline */
.timeline01 article:last-child, 
.timeline02 article:first-of-type {
  opacity: 0;
}

